[workspace]
default-members = ["cli"]
members = ["cli", "lib"]
resolver = "2"

[workspace.package]
rust-version = "1.65"

[profile.release]
strip = true      # Automatically strip symbols from the binary.
lto = true        # Link-time optimization.
opt-level = 3     # Optimization level 3.
codegen-units = 1 # Maximum size reduction optimizations.

[profile.size]
inherits = "release"
opt-level = "s"      # Optimize for size.
